AOZ Studio Beta - Bug #520

Several Bob problems
09/28/2020 07:28 AM - Brian Flanagan

Status: Resolved Start date: 09/28/2020
Priority: High Due date:

Assignee: AQOZ Developers % Done: 0%
Category: Estimated time: 8:00 hours
Target version:

Affected version: 1.0.0 (B7)

Description

1. Get Bob appears to get the Bob starting at the wrong origin. (offset by 1 pixel x and y)

2. Get Bob appears to get the Bob in the wrong size. (appears to be about 3 pixels off x and y)

3. In Amiga mode, Get Bob is getting an anti-aliased image, but shouldn't be. (Bob should look identical to original.)

4. Bob appears to draw the bob in the wrong place offset down and right by 1 px. (Is it possible that the Hot Spot origin is off too?)

Similar problems exist in BOTH Amiga and AOZ modes. (See example below)

#manifest: "amiga"
#splashScreen:false
/*

Bob size & origin issue (RC3)

Bob also may be placing the Bob offset by 1 pixel X & Y.

In Amiga mode, Get Bob is anti-aliased.

(I scaled the display up to make it easier to see the problems.)

The same problem exists in AOZ moe.
=/
Screen Open 0,800,600,32,Lowres
Screen Scale 5,5
cls 0 : Flash Off : Curs Off
// Draw an 11 x 11 pixel box with an X in it.
Ink 1
Draw 10,10 to 20,20
Draw 10,20 to 20,10
Polyline 10,10 To 20,10 To 20,20 To 10,20 To 10,10

Get Bob 1,10,10 To 20,20 // Get the exact thing that was drawn as a Bob.

Bob 1,30,10,1 // The bob's origin is off by 1 px down and right, and size is off by 3 px x and
V.
Wait Key

Get Bob 2,9,9 To 22,22 // I had to move the origin back a pixel (x and y), and increase the size Db
y 3 (x and y)to get the whole box.

Bob 2,50,10,2 // The Bob is drawn 1 pixel down and right from where it should be.

Wait Key

Bob 1,29,9,1 // The bob is restored to where it should be (offset by 1 pixel left and up)

Bob 2,49,9,2 // The bob is restored to where it should be (offset by 1 pixel left and up)
// Perhaps the Hot Spot is is the wrong place?

End

History

#1 - 01/31/2021 08:01 AM - Brian Flanagan
- Priority changed from Normal to High

NOTE: In the example given, remember there are Wait Key statements to separate different parts of the test.

#2 - 01/31/2021 08:04 AM - Brian Flanagan

While testing, you may also want to change the scale to bigger than 5,5 (maybe try 16,16) to more easily see the issues.
#3 - 04/30/2021 11:46 AM - Brian Flanagan

- Assignee changed from Francois Lionet to AOZ Developers
- Estimated time changed from 2:00 h to 8:00 h

- Affected version changed from Beta RC3 to 1.0.0 (B7)

Get Bob is offset in 1.0.0 (B7).

Palette 0, SFFFFFF, $FF0000, $00FF00, $0000FF, SFFFF00, SOOFFFF, $SFFO0OFF
Screen Scale 0,4,4
Curs Off

Pen 1 : Paper O
Cls O
For BobNum=1 To 6
Ink BobNum+l : Box 1,1 To 10,10
Get Bob BobNum,1,1 To 11,11
Next BobNum
Cls O

x =10 : y = 10
For BobNum=1 To 6

Bob BobNum,x + BobNum*20, y,BobNum
Next BobNum

The above example will miss the left and top pixels of the object.
If | change the Get Bob to start a 0,0 then the whole object will be grabbed.

#4 - 09/08/2021 11:46 AM - David Baldwin

- Status changed from New to Resolved
